package cn.newfeifan.mall.module.distri.controller.admin.dailyawardrecords.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import javax.validation.constraints.*;

@Schema(description = "管理后台 - 每日用户获得合赢奖记录新增/修改 Request VO")
@Data
@Builder
public class DailyAwardRecordsSaveReqVO {

    @Schema(description = "奖励记录ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "20923")
    private Long id;

    @Schema(description = "用户编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "1755")
    @NotNull(message = "用户编号不能为空")
    private Long userId;

    @Schema(description = "奖励金额，必填", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "奖励金额，必填不能为空")
    private Long amount;

    @Schema(description = "是否已结算，默认为未结算", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "是否已结算，默认为未结算不能为空")
    private Boolean settled;

    @Schema(description = "日志Id", requiredMode = Schema.RequiredMode.REQUIRED, example = "16092")
    @NotNull(message = "日志Id不能为空")
    private Long logId;

    @Schema(description = "产生积分的用户ID，例如：下订单的用户ID", example = "31502")
    private Long generateUserId;
}