package cn.newfeifan.mall.module.distri.controller.admin.dailybill.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.time.LocalDate;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 每日账单 Response VO")
@Data
@ExcelIgnoreUnannotated
public class DailyBillRespVO {

    @Schema(description = "账单编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "27497")
    @ExcelProperty("账单编号")
    private Long id;

    @Schema(description = "金额，单位：分", requiredMode = Schema.RequiredMode.REQUIRED, example = "30486")
    @ExcelProperty("金额，单位：分")
    private Long price;

    @Schema(description = "确收金额，单位：分", requiredMode = Schema.RequiredMode.REQUIRED, example = "29815")
    @ExcelProperty("确收金额，单位：分")
    private Long receivedPrice;

    @Schema(description = "订单数，默认为0", requiredMode = Schema.RequiredMode.REQUIRED, example = "27164")
    @ExcelProperty("订单数，默认为0")
    private Long orderCount;

    @Schema(description = "店铺ID", example = "11867")
    @ExcelProperty("店铺ID")
    private Long shopId;

    @Schema(description = "店铺名称")
    @ExcelProperty("店铺名称")
    private String shopName;

    @Schema(description = "商户名称")
    @ExcelProperty("商户名称")
    private String merchantName;

    @Schema(description = "商户ID", example = "22961")
    @ExcelProperty("商户ID")
    private Long merchantId;

    @Schema(description = "订单ID列表，文本类型", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("订单ID列表，文本类型")
    private String orderIds;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

    @Schema(description = "退款金额, 单位: 分", requiredMode = Schema.RequiredMode.REQUIRED, example = "11962")
    @ExcelProperty("退款金额, 单位: 分")
    private Long refundPrice;

    @Schema(description = "积分", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("积分")
    private Long integral;

    @Schema(description = "确收积分", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("确收积分")
    private Long receivedIntegral;

    @Schema(description = "退款积分", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("退款积分")
    private Long refundIntegral;

    @Schema(description = "订单所属日期", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("订单所属日期")
    private LocalDate orderCalcTime;

    public String getOrderCalcTime() {
        return orderCalcTime.toString();
    }

}