package cn.newfeifan.mall.module.distri.controller.admin.ordercalc.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 订单产生数据计算 Response VO")
@Data
@ExcelIgnoreUnannotated
public class OrderCalcRespVO {

    @Schema(description = "用户编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "4925")
    @ExcelProperty("用户编号")
    private Long id;

    @Schema(description = "订单编号")
    @ExcelProperty("订单编号")
    private String orderNo;

    @Schema(description = "用户ID", example = "28565")
    @ExcelProperty("用户ID")
    private Long userId;

    @Schema(description = "售价", example = "10413")
    @ExcelProperty("售价")
    private Long price;

    @Schema(description = "成本")
    @ExcelProperty("成本")
    private Long cost;

    @Schema(description = "购买数量", example = "10152")
    @ExcelProperty("购买数量")
    private Integer productCount;

    @Schema(description = "毛利 = 成本 * 0.38... (推广费用)")
    @ExcelProperty("毛利 = 成本 * 0.38... (推广费用)")
    private Long grossProfit;

    @Schema(description = "推广-用户额度")
    @ExcelProperty("推广-用户额度")
    private Long grossProfitUserQuota;

    @Schema(description = "推广-推荐人额度")
    @ExcelProperty("推广-推荐人额度")
    private Long grossProfitAncestorQuota;

    @Schema(description = "推广-合赢奖额度(浮动)")
    @ExcelProperty("推广-合赢奖额度(浮动)")
    private Long grossProfitBonusQuota;

    @Schema(description = "推广-平台分成额度(浮动)")
    @ExcelProperty("推广-平台分成额度(浮动)")
    private Long grossProfitPlatformQuota;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;
    @Schema(description = "计算百分比模板")
    private String percentTemplate;

    @Schema(description = "用户昵称", example = "王五")
    @ExcelProperty("用户昵称")
    private String nickName;
    @Schema(description = "订单ID", example = "21497")
    @ExcelProperty("订单ID")
    private Long orderId;

    @Schema(description = "下单人姓名", example = "赵六")
    @ExcelProperty("下单人姓名")
    private String name;



}