package cn.newfeifan.mall.module.distri.controller.admin.ptprofitlog.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 平台利润记录 Response VO")
@Data
@ExcelIgnoreUnannotated
public class PtProfitLogRespVO {

    @Schema(description = "用户编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "12046")
    @ExcelProperty("用户编号")
    private Long id;

    @Schema(description = "增加金额")
    @ExcelProperty("增加金额")
    private Long amount;

    @Schema(description = "增加后金额")
    @ExcelProperty("增加后金额")
    private Long afterAmount;

    @Schema(description = "收益类型 1:平台服务器费 2:平台收益 3用户下单返回毛利额度 4直推人额度 5合赢奖", example = "2")
    @ExcelProperty("收益类型 1:平台服务器费 2:平台收益")
    private Integer profitStatus;

    @Schema(description = "收益类型名称")
    private String profitStatusName;

    @Schema(description = "用户ID , 只有收益类型为 3,4才有值", example = "6982")
    private Long userId;

    @Schema(description = "订单Id", example = "26464")
    @ExcelProperty("订单Id")
    private Long orderId;

    @Schema(description = "订单编号")
    @ExcelProperty("订单编号")
    private String orderNo;

    @Schema(description = "计算百分比模板")
    @ExcelProperty("计算百分比模板")
    private String percentTemplate;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

    @Schema(description = "变动的冻结积分值（可为负数）")
    private Long freezeAmount;

    @Schema(description = "变动后冻结积分钱包的余额")
    private Long afterFreezeAmount;

    @Schema(description = "最大可用积分变化值")
    @ExcelProperty("最大可用积分变化值")
    private Long maxAvailablePointsAmount;

    @Schema(description = "最大可用积分额度")
    @ExcelProperty("最大可用积分额度")
    private Long afterMaxAvailablePointsAmount;

    @Schema(description = "合赢奖超出额度")
    @ExcelProperty("合赢奖超出额度")
    private Long accumulatedQuotaAmount;

    @Schema(description = "直推奖超出额度")
    @ExcelProperty("直推奖超出额度")
    private Long ancestorQuotaAmount;

    @Schema(description = "产生积分的用户ID，例如：下订单的用户ID")
    private Long generateUserId;

    @Schema(description = "显示这条记录是由谁产生的用户名")
    private String username;
}