package cn.newfeifan.mall.module.distri.controller.admin.ptsettlement.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 平台每日结算信息表，记录店铺的结算信息 Response VO")
@Data
@ExcelIgnoreUnannotated
public class PtSettlementRespVO {

    @Schema(description = "结算id", requiredMode = Schema.RequiredMode.REQUIRED, example = "2104")
    @ExcelProperty("结算id")
    private Long id;

    @Schema(description = "销售额（积分 + 支付金额）", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("销售额（积分 + 支付金额）")
    private Integer platformCollectionAmount;

    @Schema(description = "抵扣积分", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("抵扣积分")
    private Long shopAmount;

    @Schema(description = "共计成本价格(高精度 + 成本)")
    @ExcelProperty("共计成本价格(高精度 + 成本)")
    private BigDecimal shopTotalHighAmount;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

    @Schema(description = "是否结账")
    @ExcelProperty("是否结账")
    private Boolean platformTransferConfirm;

}