package cn.newfeifan.mall.module.distri.controller.admin.shopsettlement.vo;

import lombok.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.newfeifan.mall.framework.common.pojo.PageParam;
import java.math.BigDecimal;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.newfeifan.mall.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 订单结算信息表，记录店铺的结算信息分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class ShopSettlementPageReqVO extends PageParam {

    @Schema(description = "店铺id", example = "14984")
    private Long shopId;

    @Schema(description = "商户id", example = "21578")
    private Long merchantId;

    @Schema(description = "销售额（积分 + 支付金额）")
    private Integer platformCollectionAmount;

    @Schema(description = "抵扣积分")
    private Long shopAmount;

    @Schema(description = "共计成本价格(高精度 + 成本)")
    private BigDecimal shopTotalHighAmount;

    @Schema(description = "平台结算ID", example = "3176")
    private Long ptSettlementId;

    @Schema(description = "转账凭证附件")
    private String attachment;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}