package cn.newfeifan.mall.module.distri.dal.dataobject.dailyawardrecords;

import lombok.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.newfeifan.mall.framework.mybatis.core.dataobject.BaseDO;

/**
 * 每日用户获得合赢奖记录 DO
 *
 * @author 非繁人
 */
@TableName("distri_daily_award_records")
@KeySequence("distri_daily_award_records_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class DailyAwardRecordsDO extends BaseDO {

    /**
     * 奖励记录ID
     */
    @TableId
    private Long id;
    /**
     * 用户编号
     */
    private Long userId;
    /**
     * 奖励金额，必填
     */
    private Long amount;
    /**
     * 是否已结算，默认为未结算
     */
    private Boolean settled;
    /**
     * 日志Id
     */
    private Long logId;

    /**
     * 产生积分的用户ID，例如：下订单的用户ID
     */
    private Long generateUserId;

}