package cn.newfeifan.mall.module.distri.dal.dataobject.ptprofitdailystatisticslog;

import lombok.*;

import java.time.LocalDate;
import com.baomidou.mybatisplus.annotation.*;
import cn.newfeifan.mall.framework.mybatis.core.dataobject.BaseDO;

/**
 * 平台利润每日统计记录 DO
 *
 * @author 非繁人
 */
@TableName("distri_pt_profit_daily_statistics_log")
@KeySequence("distri_pt_profit_daily_statistics_log_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class PtProfitDailyStatisticsLogDO extends BaseDO {

    /**
     * 编号
     */
    @TableId
    private Long id;
    /**
     * 时间(每日)
     */
    private LocalDate everyday;
    /**
     * 平台对碰支出
     */
    private Long totalCollisionAmount;
    /**
     * 平台剩余金额
     */
    private Long totalRemainingAmount;

}