package cn.newfeifan.mall.module.distri.service.ptprofitdailystatisticslog;

import javax.validation.*;
import cn.newfeifan.mall.module.distri.controller.admin.ptprofitdailystatisticslog.vo.*;
import cn.newfeifan.mall.module.distri.dal.dataobject.ptprofitdailystatisticslog.PtProfitDailyStatisticsLogDO;
import cn.newfeifan.mall.framework.common.pojo.PageResult;

/**
 * 平台利润每日统计记录 Service 接口
 *
 * @author 非繁人
 */
public interface PtProfitDailyStatisticsLogService {

    /**
     * 创建平台利润每日统计记录
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createPtProfitDailyStatisticsLog(@Valid PtProfitDailyStatisticsLogSaveReqVO createReqVO);

    /**
     * 更新平台利润每日统计记录
     *
     * @param updateReqVO 更新信息
     */
    void updatePtProfitDailyStatisticsLog(@Valid PtProfitDailyStatisticsLogSaveReqVO updateReqVO);

    /**
     * 删除平台利润每日统计记录
     *
     * @param id 编号
     */
    void deletePtProfitDailyStatisticsLog(Long id);

    /**
     * 获得平台利润每日统计记录
     *
     * @param id 编号
     * @return 平台利润每日统计记录
     */
    PtProfitDailyStatisticsLogDO getPtProfitDailyStatisticsLog(Long id);

    /**
     * 获得平台利润每日统计记录分页
     *
     * @param pageReqVO 分页查询
     * @return 平台利润每日统计记录分页
     */
    PageResult<PtProfitDailyStatisticsLogDO> getPtProfitDailyStatisticsLogPage(PtProfitDailyStatisticsLogPageReqVO pageReqVO);

//    void createPtProfitDailyStatisticsLog();

}