package cn.newfeifan.mall.module.distri.service.ptprofitlogdetails;

import java.util.*;
import javax.validation.*;
import cn.newfeifan.mall.module.distri.controller.admin.ptprofitlogdetails.vo.*;
import cn.newfeifan.mall.module.distri.dal.dataobject.ptprofitlogdetails.PtProfitLogDetailsDO;
import cn.newfeifan.mall.framework.common.pojo.PageResult;

/**
 * 平台利润记录详情 Service 接口
 *
 * @author 非繁人
 */
public interface PtProfitLogDetailsService {

    /**
     * 创建平台利润记录详情
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createPtProfitLogDetails(@Valid PtProfitLogDetailsSaveReqVO createReqVO);

    /**
     * 更新平台利润记录详情
     *
     * @param updateReqVO 更新信息
     */
    void updatePtProfitLogDetails(@Valid PtProfitLogDetailsSaveReqVO updateReqVO);

    /**
     * 删除平台利润记录详情
     *
     * @param id 编号
     */
    void deletePtProfitLogDetails(Long id);

    /**
     * 获得平台利润记录详情
     *
     * @param id 编号
     * @return 平台利润记录详情
     */
    PtProfitLogDetailsDO getPtProfitLogDetails(Long id);

    /**
     * 获得平台利润记录详情分页
     *
     * @param pageReqVO 分页查询
     * @return 平台利润记录详情分页
     */
    PageResult<PtProfitLogDetailsDO> getPtProfitLogDetailsPage(PtProfitLogDetailsPageReqVO pageReqVO);

    /**
     * 批量创建
     * @param ptProfitLogDetailsSaveReqVOS 对象集
     */
    void saveBatch(List<PtProfitLogDetailsSaveReqVO> ptProfitLogDetailsSaveReqVOS);
}