package cn.newfeifan.mall.module.trade.service.ordercallbacklogs;

import javax.validation.*;
import cn.newfeifan.mall.module.trade.controller.admin.ordercallbacklogs.vo.*;
import cn.newfeifan.mall.module.trade.dal.dataobject.ordercallbacklogs.OrderCallbackLogsDO;
import cn.newfeifan.mall.framework.common.pojo.PageResult;

/**
 * 第三方回调日志 Service 接口
 *
 * @author 非繁人
 */
public interface OrderCallbackLogsService {

    /**
     * 创建第三方回调日志
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Integer createOrderCallbackLogs(@Valid OrderCallbackLogsSaveReqVO createReqVO);

    /**
     * 更新第三方回调日志
     *
     * @param updateReqVO 更新信息
     */
    void updateOrderCallbackLogs(@Valid OrderCallbackLogsSaveReqVO updateReqVO);

    /**
     * 删除第三方回调日志
     *
     * @param id 编号
     */
    void deleteOrderCallbackLogs(Integer id);

    /**
     * 获得第三方回调日志
     *
     * @param id 编号
     * @return 第三方回调日志
     */
    OrderCallbackLogsDO getOrderCallbackLogs(Integer id);

    /**
     * 获得第三方回调日志分页
     *
     * @param pageReqVO 分页查询
     * @return 第三方回调日志分页
     */
    PageResult<OrderCallbackLogsDO> getOrderCallbackLogsPage(OrderCallbackLogsPageReqVO pageReqVO);

    /**
     * 创建第三方回调日志
     *
     * @param orderId 订单编号
     * @param param 推送参数
     * @param responseBody 响应体
     * @param status 状态
     */
    void create(String orderId,String param,String responseBody,String status);

}